<?php
namespace Amoforms\Models\Fields\Types;

use Amoforms\Libs\Locale\I18n;

defined('AMOFORMS_BOOTSTRAP') or die('Direct access denied');

/**
 * Class Country
 * @since 2.21.0
 * @package Amoforms\Models\Fields\Types
 */
class Country extends Base_Field
{
	protected function init()
	{
		$this->_type = self::TYPE_COUNTRY;
		$this->_name = I18n::get('Country');
		$this->_enums = [
				'Afghanistan',
				'Albania',
				'Algeria',
				'American Samoa',
				'Andorra',
				'Angola',
				'Anguilla',
				'Antarctica',
				'Antigua And Barbuda',
				'Argentina',
				'Armenia',
				'Aruba',
				'Australia',
				'Austria',
				'Azerbaijan',
				'Bahamas',
				'Bahrain',
				'Bangladesh',
				'Barbados',
				'Belarus',
				'Belgium',
				'Belize',
				'Benin',
				'Bermuda',
				'Bhutan',
				'Bolivia',
				'Bosnia And Herzegowina',
				'Botswana',
				'Bouvet Island',
				'Brazil',
				'British Indian Ocean Territory',
				'Brunei Darussalam',
				'Bulgaria',
				'Burkina Faso',
				'Burundi',
				'Cambodia',
				'Cameroon',
				'Canada',
				'Cape Verde',
				'Cayman Islands',
				'Central African Republic',
				'Chad',
				'Chile',
				'China',
				'Christmas Island',
				'Cocos (Keeling) Islands',
				'Colombia',
				'Comoros',
				'Congo',
				'Congo, The Democratic Republic Of The',
				'Cook Islands',
				'Costa Rica',
				'Cote D\'Ivoire',
				'Croatia (Local Name: Hrvatska)',
				'Cuba',
				'Cyprus',
				'Czech Republic',
				'Denmark',
				'Djibouti',
				'Dominica',
				'Dominican Republic',
				'Timor-Leste (East Timor)',
				'Ecuador',
				'Egypt',
				'El Salvador',
				'Equatorial Guinea',
				'Eritrea',
				'Estonia',
				'Ethiopia',
				'Falkland Islands (Malvinas)',
				'Faroe Islands',
				'Fiji',
				'Finland',
				'France',
				'France, Metropolitan',
				'French Guiana',
				'French Polynesia',
				'French Southern Territories',
				'Gabon',
				'Gambia',
				'Georgia',
				'Germany',
				'Ghana',
				'Gibraltar',
				'Greece',
				'Greenland',
				'Grenada',
				'Guadeloupe',
				'Guam',
				'Guatemala',
				'Guinea',
				'Guinea-Bissau',
				'Guyana',
				'Haiti',
				'Heard And Mc Donald Islands',
				'Holy See (Vatican City State)',
				'Honduras',
				'Hong Kong',
				'Hungary',
				'Iceland',
				'India',
				'Indonesia',
				'Iran (Islamic Republic Of)',
				'Iraq',
				'Ireland',
				'Israel',
				'Italy',
				'Jamaica',
				'Japan',
				'Jordan',
				'Kazakhstan',
				'Kenya',
				'Kiribati',
				'Korea, Democratic People\'s Republic Of',
				'Korea, Republic Of',
				'Kuwait',
				'Kyrgyzstan',
				'Lao People\'s Democratic Republic',
				'Latvia',
				'Lebanon',
				'Lesotho',
				'Liberia',
				'Libyan Arab Jamahiriya',
				'Liechtenstein',
				'Lithuania',
				'Luxembourg',
				'Macau',
				'Macedonia, Former Yugoslav Republic Of',
				'Madagascar',
				'Malawi',
				'Malaysia',
				'Maldives',
				'Mali',
				'Malta',
				'Marshall Islands',
				'Martinique',
				'Mauritania',
				'Mauritius',
				'Mayotte',
				'Mexico',
				'Micronesia, Federated States Of',
				'Moldova, Republic Of',
				'Monaco',
				'Mongolia',
				'Montenegro',
				'Montserrat',
				'Morocco',
				'Mozambique',
				'Myanmar',
				'Namibia',
				'Nauru',
				'Nepal',
				'Netherlands',
				'Netherlands Antilles',
				'New Caledonia',
				'New Zealand',
				'Nicaragua',
				'Niger',
				'Nigeria',
				'Niue',
				'Norfolk Island',
				'Northern Mariana Islands',
				'Norway',
				'Oman',
				'Pakistan',
				'Palau',
				'Panama',
				'Papua New Guinea',
				'Paraguay',
				'Peru',
				'Philippines',
				'Pitcairn',
				'Poland',
				'Portugal',
				'Puerto Rico',
				'Qatar',
				'Reunion',
				'Romania',
				'Russian Federation',
				'Rwanda',
				'Saint Kitts And Nevis',
				'Saint Lucia',
				'Saint Vincent And The Grenadines',
				'Samoa',
				'San Marino',
				'Sao Tome And Principe',
				'Saudi Arabia',
				'Senegal',
				'Serbia',
				'Seychelles',
				'Sierra Leone',
				'Singapore',
				'Slovakia (Slovak Republic)',
				'Slovenia',
				'Solomon Islands',
				'Somalia',
				'South Africa',
				'South Georgia, South Sandwich Islands',
				'South Sudan',
				'Spain',
				'Sri Lanka',
				'St. Helena',
				'St. Pierre And Miquelon',
				'Sudan',
				'Suriname',
				'Svalbard And Jan Mayen Islands',
				'Swaziland',
				'Sweden',
				'Switzerland',
				'Syrian Arab Republic',
				'Taiwan',
				'Tajikistan',
				'Tanzania, United Republic Of',
				'Thailand',
				'Togo',
				'Tokelau',
				'Tonga',
				'Trinidad And Tobago',
				'Tunisia',
				'Turkey',
				'Turkmenistan',
				'Turks And Caicos Islands',
				'Tuvalu',
				'Uganda',
				'Ukraine',
				'United Arab Emirates',
				'United Kingdom',
				'United States',
				'United States Minor Outlying Islands',
				'Uruguay',
				'Uzbekistan',
				'Vanuatu',
				'Venezuela',
				'Viet Nam',
				'Virgin Islands (British)',
				'Virgin Islands (U.S.)',
				'Wallis And Futuna Islands',
				'Western Sahara',
				'Yemen',
				'Yugoslavia',
				'Zambia',
				'Zimbabwe'
		];
	}
}
